/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import '../../focus/md-focus-ring.js';
import '../../ripple/ripple.js';
import { LitElement } from 'lit';
declare const CHECKED: unique symbol;
/**
 * A radio component.
 */
export declare class Radio extends LitElement {
    /** @nocollapse */
    static readonly formAssociated = true;
    private readonly maskId;
    /**
     * Whether or not the radio is selected.
     */
    get checked(): boolean;
    set checked(checked: boolean);
    [CHECKED]: boolean;
    /**
     * Whether or not the radio is disabled.
     */
    disabled: boolean;
    /**
     * The element value to use in form submission when checked.
     */
    value: string;
    /**
     * The HTML name to use in form submission.
     */
    get name(): string;
    set name(name: string);
    /**
     * The associated form element with which this element's value will submit.
     */
    get form(): HTMLFormElement;
    /**
     * The labels this element is associated with.
     */
    get labels(): NodeList;
    private readonly selectionController;
    private readonly internals;
    constructor();
    protected render(): import("lit-html").TemplateResult<1>;
    protected updated(): void;
    private handleClick;
    private handleKeydown;
    /** @private */
    formResetCallback(): void;
    /** @private */
    formStateRestoreCallback(state: string): void;
}
export {};
